MediaLocator

Overview | Package | Class | Use | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## javax.media
Class MediaLocator

    java.lang.Object
      javax.media.MediaLocator

Direct Known Subclasses:
  MediaLocator

    public class MediaLocator

extends Object

Constructor Summary
`MediaLocator(String locatorString)`
`MediaLocator(URL url)`

Method Summary
`String` | `getProtocol()`
`String` | `getRemainder()`
`URL` | `getURL()`
`String` | `toExternalForm()`
`String` | `toString()` Returns a string representation of the object.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### MediaLocator

    public MediaLocator(URL url)

### MediaLocator

    public MediaLocator(String locatorString)

Method Detail

### getURL

    public URL getURL()
               throws MalformedURLException

  Throws:
    `MalformedURLException`

### getProtocol

    public String getProtocol()

### getRemainder

    public String getRemainder()

### toString

    public String toString()

  Description copied from class: `Object`
  Returns a string representation of the object. In general, the `toString` method returns a string that "textually represents" this object. The result should be a concise but informative representation that is easy for a person to read. It is recommended that all subclasses override this method.

  The `toString` method for class `Object` returns a string consisting of the name of the class of which the object is an instance, the at-sign character ``@`', and the unsigned hexadecimal representation of the hash code of the object. In other words, this method returns a string equal to the value of:

  >      getClass().getName() + '@' + Integer.toHexString(hashCode())

  Overrides:
    `toString` in class `Object`
  Returns:
    a string representation of the object.

### toExternalForm

    public String toExternalForm()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD